# Rooms

Video conferencing takes place inside rooms.  Each room has a unique URL which people can visit to participate inside the conference. You can either rely on the API to auto-generate the URL, or you can explicitly specify it when you create the room.&#x20;

{% hint style="info" %}
You will always start integrating by [creating](/reference/rest-api/rooms/create.md) a room.
{% endhint %}

{% hint style="info" %}
You can limit the max length of a room's session by using the **session\_length** property when creating/editing a room. The property is accepting the amount of minutes after which each session automatically ends.
{% endhint %}

You can also [edit](/reference/rest-api/rooms/edit.md) the room after creating it or [delete](/reference/rest-api/rooms/delete.md) it if you don't want to use it anymore.

There is also a possibility to [list](/reference/rest-api/rooms/list.md) all of the rooms which you have created.

You can [list the details](/reference/rest-api/rooms/list.md#request-get-a-concrete-room) of a concrete room too.

{% content-ref url="/pages/vMyCO7Q10NmBeuALwo2P" %}
[Create](/reference/rest-api/rooms/create.md)
{% endcontent-ref %}

{% content-ref url="/pages/0kHDSf0QYEUgp6IUO4Ya" %}
[Edit](/reference/rest-api/rooms/edit.md)
{% endcontent-ref %}

{% content-ref url="/pages/oV0JO3owsrolcmgFCRa1" %}
[List](/reference/rest-api/rooms/list.md)
{% endcontent-ref %}

{% content-ref url="/pages/YEztaIZo05O7y1QVaqL6" %}
[Delete](/reference/rest-api/rooms/delete.md)
{% endcontent-ref %}

#### Sessions

A **session** automatically starts when a participant enters an empty room without an active session. \
A **session** automatically ends when all people leave the room and it is empty for 5 minutes.&#x20;

Sessions are just for easy reasoning and navigation in the dashboard when you are reviewing the conferences which have happened in a room - e.g. you will be able to see that 30 people participated in the room from 09:00 to 11:30 on January 16.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/rooms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
